

// ------------------------- Don't change this file ---------------------

const { readdirSync } = require('fs');
const { resolve } = require('path');
const files = resolve('emails', 'dist')
const app = require('vtex-email-framework/server/app')
const request = require('isomorphic-fetch')
const port = 3050
const {test,after,describe} = require('mocha')
const { deepStrictEqual} = require('assert')

app.set('views', files)
const server = app.listen(port)
const templates = readdirSync(files)
  .filter(file => /.hbs$/gi.test(file))
  .map(file => file.split('.hbs')[0])

after(() => server.close())

describe("emails/dist/", () => {

  for (let template of templates) {
    test(template, async () => {

      const response = await request(`http://localhost:${port}/${template}`)

      if (!response.ok) {
        const message = await response.text()
        throw new Error(`${message.split('<pre>')[1].split('<br>')[0].replace(/&#39;/g, "'")}`)
      }

      deepStrictEqual(response.ok,true)

    });
  }
  
});