
import router from './router'

export default function connect() {

    const socketUrl = 'ws://localhost:8090';
    let socket = new WebSocket(socketUrl);

    socket.addEventListener('close', () => {
        const interAttemptTimeoutMilliseconds = 200;
        const maxAttempts = 5
        let attempts = 0;
        const reloadIfCanConnect = () => {
            attempts++;
            if (attempts >= maxAttempts) {
                window.location.reload();
                return;
            }
            socket = new WebSocket(socketUrl);
            socket.addEventListener('error', () => {
                setTimeout(reloadIfCanConnect, interAttemptTimeoutMilliseconds);
            });
            socket.addEventListener('open', () => {
                router(window.location).then(()=>connect())
            });
        };
        reloadIfCanConnect();
    });
}